Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
dsam::DsamManager::DsamControllerChangedEvent Struct Reference

Event that is send when a DSAM controller has been reset or recovery is in progress. More...

Inheritance diagram for dsam::DsamManager::DsamControllerChangedEvent:

## Public Attributes
int | dsamNumber
| DSAM number (1-based)
boolean | reset
| `true` if controller was reset; `false` if recovery started
string | resetReason
| reset reason (only set when reset is `true`)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when a DSAM controller has been reset or recovery is in progress.

The documentation for this struct was generated from the following file:

- DsamManager.idl